<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MergeLoginsByLoginNameInput StructType
 * @subpackage Structs
 */
class MergeLoginsByLoginNameInput extends AbstractStructBase
{
    /**
     * The FirstLoginName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FirstLoginName;
    /**
     * The SecondLoginName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SecondLoginName;
    /**
     * Constructor method for MergeLoginsByLoginNameInput
     * @uses MergeLoginsByLoginNameInput::setFirstLoginName()
     * @uses MergeLoginsByLoginNameInput::setSecondLoginName()
     * @param string $firstLoginName
     * @param string $secondLoginName
     */
    public function __construct($firstLoginName = null, $secondLoginName = null)
    {
        $this
            ->setFirstLoginName($firstLoginName)
            ->setSecondLoginName($secondLoginName);
    }
    /**
     * Get FirstLoginName value
     * @return string|null
     */
    public function getFirstLoginName()
    {
        return $this->FirstLoginName;
    }
    /**
     * Set FirstLoginName value
     * @param string $firstLoginName
     * @return \CustomerManagement\StructType\MergeLoginsByLoginNameInput
     */
    public function setFirstLoginName($firstLoginName = null)
    {
        // validation for constraint: string
        if (!is_null($firstLoginName) && !is_string($firstLoginName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($firstLoginName, true), gettype($firstLoginName)), __LINE__);
        }
        $this->FirstLoginName = $firstLoginName;
        return $this;
    }
    /**
     * Get SecondLoginName value
     * @return string|null
     */
    public function getSecondLoginName()
    {
        return $this->SecondLoginName;
    }
    /**
     * Set SecondLoginName value
     * @param string $secondLoginName
     * @return \CustomerManagement\StructType\MergeLoginsByLoginNameInput
     */
    public function setSecondLoginName($secondLoginName = null)
    {
        // validation for constraint: string
        if (!is_null($secondLoginName) && !is_string($secondLoginName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($secondLoginName, true), gettype($secondLoginName)), __LINE__);
        }
        $this->SecondLoginName = $secondLoginName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\MergeLoginsByLoginNameInput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
